// ****************************************************************************
// Copyright (C) 2004  Alexandre Suaide
//
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The Crate Controler Wiener-CC32 is not authorized for use as
// critical component in life support systems without the express
// written approval of ARW Elektronik Germany.
//
// Maintainer(s): Alexandre Suaide (suaide@if.usp.br)
//
// ****************************************************************************
#ifndef CAMEH
#define CAMEH

  #define AC_MAJOR 26
  #define CC_NAME "CAMDRV"
  #define CC_IRQ 9
  #define CC_SIZE 16

  #define CAMAC 0x240
  #define CAM 	CAMAC
  #define CAM1	CAMAC+1
  #define CAM2	CAMAC+2
  #define CAM3	CAMAC+3
  #define CAM4	CAMAC+4
  #define CAM5	CAMAC+5
  #define CAM6	CAMAC+6
  #define CAM7	CAMAC+7
  #define CAM8	CAMAC+8
  #define CAM9	CAMAC+9
  #define CAM10	CAMAC+10
  #define CAM11	CAMAC+11
  #define CAM12 CAMAC+12
  #define CAM13 CAMAC+13
  #define CAM14 CAMAC+14
  #define CAM15 CAMAC+15
  #define DONE  0x80

#endif




